about summary refs log tree commit diff
path: root/third_party/git/t/lib-httpd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/git/t/lib-httpd.sh')
-rw-r--r--third_party/git/t/lib-httpd.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/third_party/git/t/lib-httpd.sh b/third_party/git/t/lib-httpd.sh
index 0d985758c6..d2edfa4c50 100644
--- a/third_party/git/t/lib-httpd.sh
+++ b/third_party/git/t/lib-httpd.sh
@@ -41,7 +41,7 @@ then
 	test_done
 fi
 
-if ! git env--helper --type=bool --default=true --exit-code GIT_TEST_HTTPD
+if ! test_bool_env GIT_TEST_HTTPD true
 then
 	skip_all="Network testing disabled (unset GIT_TEST_HTTPD to enable)"
 	test_done
@@ -129,10 +129,12 @@ install_script () {
 prepare_httpd() {
 	mkdir -p "$HTTPD_DOCUMENT_ROOT_PATH"
 	cp "$TEST_PATH"/passwd "$HTTPD_ROOT_PATH"
+	install_script incomplete-length-upload-pack-v2-http.sh
+	install_script incomplete-body-upload-pack-v2-http.sh
 	install_script broken-smart-http.sh
 	install_script error-smart-http.sh
 	install_script error.sh
-	install_script apply-one-time-sed.sh
+	install_script apply-one-time-perl.sh
 
 	ln -s "$LIB_HTTPD_MODULE_PATH" "$HTTPD_ROOT_PATH/modules"